arg_list = argv ();
path_to_data = "";
inputfile = "inputx.csv";
if nargin >= 1
    path_to_data = arg_list{1};
end
if nargin >= 2
    inputfile = arg_list{2};
end

% Load the theta values
load(strcat(path_to_data, "theta_values.mat"));

% Predict values for our validation set so we can see how good the algorithm actually is
Xvalidation = csvread(strcat(path_to_data, inputfile));

values = getPredictionMatrix(Theta1, Theta2, Xvalidation);
m = length(values);
for i=1:m
    if i != 1
        fprintf("\n")
    end
	fprintf('%d,%f', i, values(i));
end

