arg_list = argv ();
path_to_data = "";
input_files = ["inputx.csv"];
if nargin >= 1
    path_to_data = arg_list{1};
end

if nargin >= 1
    input_files = [];
    for i = 1:(nargin-1)
        input_files{i} = arg_list{i+1};
    end
end

% Load the theta values
load(strcat(path_to_data, "theta_values.mat"));

for j = 1:size(input_files)(2)
    % Predict values for our validation set so we can see how good the algorithm actually is
    Xvalidation = csvread(strcat(path_to_data, input_files(j){1}));

    values = getPredictionMatrix(Theta1, Theta2, Xvalidation);
    m = length(values);
    for i=1:m
	    fprintf('%d,%d,%f\n', j, i, values(i));
    end
end
